# cairo_sys::cairo_path_t - Rust
API documentation for the Rust `cairo_path_t` struct in crate `cairo_sys`.
Keywords: rust, rustlang, rust-lang, cairo_path_t

# Struct cairo_sys::cairo_path_t [−] [src]

    #[repr(C)]
    pub struct cairo_path_t {
        pub status: Status,
        pub data: *mut [c_double; 2],
        pub num_data: c_int,
    }

## Fields

`status: Status` `data: *mut [c_double; 2]` `num_data: c_int`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)